export function RunnerPlugin(_ref) {
  var handler = _ref.handler;
  return {
    onKeyDown: function onKeyDown(event, editor, next) {
      var keyEvent = event; // Handle enter

      if (handler && keyEvent.key === 'Enter' && (keyEvent.shiftKey || keyEvent.ctrlKey)) {
        // Submit on Enter
        keyEvent.preventDefault();
        handler(keyEvent);
        return editor;
      }

      return next();
    }
  };
}